> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aryn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Docs

> List documents in a DocSet with pagination.

Args:
    docset_id: The ID of the DocSet
    next_token: Token for the next page of results
    page_size: Number of items per page (default 100)
    filter_dict: JSON string containing filter parameters

Returns:
    List[DocumentMetadata]: Paginated list of document metadata in the DocSet



## OpenAPI

````yaml api-reference/endpoint/platform/openapi.json get /v1/storage/docsets/{docset_id}/docs
openapi: 3.1.0
info:
  title: Aryn Platform API
  version: 0.1.0
servers:
  - url: https://api.aryn.cloud
    description: US Region
  - url: https://api.aryn.ai
    description: US Region
  - url: https://api.us.aryn.cloud
    description: US Region
  - url: https://api.us.aryn.ai
    description: US Region
security: []
paths:
  /v1/storage/docsets/{docset_id}/docs:
    get:
      tags:
        - Document
      summary: List Docs
      description: |-
        List documents in a DocSet with pagination.

        Args:
            docset_id: The ID of the DocSet
            next_token: Token for the next page of results
            page_size: Number of items per page (default 100)
            filter_dict: JSON string containing filter parameters

        Returns:
            List[DocumentMetadata]: Paginated list of document metadata in the DocSet
      operationId: list_docs_v1_storage_docsets__docset_id__docs_get
      parameters:
        - name: docset_id
          in: path
          required: true
          schema:
            type: string
            title: Docset Id
        - name: comparator
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Comparator
        - name: filter_dict
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Filter Dict
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            default: 100
            title: Page Size
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Page Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response List Docs V1 Storage Docsets  Docset Id  Docs Get
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````